> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a case

> Update the status or assignment of a case generated from a fraud or transaction monitoring check.



## OpenAPI

````yaml /specs/KYT-V2-Transaction-Monitoring.json patch /entity/{entityId}/cases/{caseId}
openapi: 3.0.3
info:
  version: 2.0.0
  title: KYT V2 Transaction Monitoring
  description: >
    The Fraud and Transaction Monitoring API is designed to accept the full
    details of a transaction, process it, and provide recommendations. 


    The API can analyse the details by comparing them against past history and
    other data, and run all of these through a set of sophisticated rules.
    Afterwards, you can get a recommendation as to whether a transaction should
    be allowed to proceed, proceed with a warning, be held for investigation, or
    be rejected, outright.


    The service is designed to respond in realtime to support modern,
    high-speed, high-volume financial transaction services.


    **We also hold open the option of accepting existing message formats and we
    will transform those in real time, mapping the details to our own internal
    structure for a consistent experience and results.**


    Please speak with your FrankieOne account manager should you wish us to
    assist with this.


    Access to the API and keys available on request.


    ## Glossary


    **Check** - A transaction assessment that execute against the API, this
    represents an event that has happened and wants to verified for risk.


    **Result** - A categorized risk factor returned for a transaction check,
    these are returned from the configured upstream vendors and represent the
    different factors of the transaction's risk profile.


    **Transaction** - An activity that an end user has performed, the type of
    the activity is based on the activityType property.


    **Alert** - A result that has come from a transaction check that meets the
    criteria defined for your configuration. This represents a result that was
    returned that requires the attention of someone in your organization.


    **Entity** - A FrankieOne entity, this can be representative of a business,
    person or construct that exists within the FrankieOne Platform.
  contact:
    email: help@frankieone.com
servers:
  - url: https://api.kycaml.frankiefinancial.io/transaction/v2
    description: Production API Base URL
  - url: https://api.kycaml.uat.frankiefinancial.io/transaction/v2
    description: UAT Environment API Base URL
security:
  - apiKey: []
tags:
  - name: Status
    description: >-
      Service status operations you can use to make sure things are up and
      running.
  - name: Transactions
    description: >-
      Operations that are associated with the execution of a transaction risk
      assessment
  - name: Alerts
    description: Operations that are associated with alerts
  - name: Risk
    description: Operations associated with risk assessment for an entity
paths:
  /entity/{entityId}/cases/{caseId}:
    patch:
      tags:
        - Cases
      summary: Update a case
      description: >-
        Update the status or assignment of a case generated from a fraud or
        transaction monitoring check.
      operationId: GetCase
      parameters:
        - $ref: '#/components/parameters/X-Frankie-CustomerID'
        - $ref: '#/components/parameters/X-Frankie-CustomerChildID'
        - $ref: '#/components/parameters/EntityIdParam'
        - $ref: '#/components/parameters/CaseIdParam'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CaseStatusUpdate'
      responses:
        '204':
          $ref: '#/components/responses/202Accepted'
        '404':
          $ref: '#/components/responses/404NotFound'
        '500':
          $ref: '#/components/responses/500InternalServerError'
      deprecated: true
      security:
        - apiKey: []
components:
  parameters:
    X-Frankie-CustomerID:
      name: X-Frankie-CustomerID
      in: header
      required: true
      schema:
        type: string
        example: 12345678-1234-1234-1234-123456789012
      description: Your Customer ID provided by FrankieOne
    X-Frankie-CustomerChildID:
      name: X-Frankie-CustomerChildID
      in: header
      required: false
      schema:
        type: string
        example: 87654321-4321-4321-4321-210987654321
      description: Your Customer Child ID provided by FrankieOne
    EntityIdParam:
      required: true
      description: Unique identifier of a FrankieOne entity
      in: path
      name: entityId
      schema:
        $ref: '#/components/schemas/EntityId'
    CaseIdParam:
      required: true
      description: Unique Identifier of a Transaction Check Result
      in: path
      name: caseId
      schema:
        type: string
        format: uuid
  schemas:
    CaseStatusUpdate:
      description: >
        Describes the update to a case status check, either via a comment
        appended to the case, a status update or an assignment of the case to
        another user
      type: object
      required:
        - createdBy
      properties:
        comment:
          example: Case has been manually reviewed to be a false positive
          type: string
          maxLength: 4028
        createdBy:
          example: testuser@example.com
          type: string
          description: User ID of the User that created the comment
        newStatus:
          $ref: '#/components/schemas/EnumAlertStatus'
        assignedTo:
          example: testuser@example.com
          type: string
          description: User ID of the User that the case was assigned to
    EntityId:
      type: string
      description: The unique identifier for a FrankieOne entity construct
      example: 98ded7ac-2457-4bde-b27c-fcee05301262
    EnumAlertStatus:
      description: Current status of an alert
      type: string
      enum:
        - PENDING
        - APPROVED
        - MANUALLY_APPROVED
        - MANUALLY_DECLINED
    AcceptedRequest:
      description: >
        The request was valid and can potentially be fulfilled. The FrankieOne
        service has now accepted responsibility for processing and we will
        either push the results to you, or send you a notification, depending on
        the request and your configuration.
      type: object
      properties:
        requestId:
          $ref: '#/components/schemas/RequestId'
    ServiceError:
      type: object
      properties:
        commit:
          type: string
          description: Unique identifier of the Service version being used
        requestId:
          $ref: '#/components/schemas/RequestId'
        errorCode:
          type: string
          description: FrankieOne error code
          example: CORE-5990
        errorMsg:
          type: string
          description: Will describe the error
          example: Everything went kaflooey. Stay clam.
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorIssue'
    RequestId:
      type: string
      format: ulid
      minLength: 26
      maxLength: 26
      description: >-
        Unique identifier assigned by FrankieOne for every request. Can be used
        for tracking down answers with technical support. Uses the ULID format
        (a time-based, sortable UUID) example: 01BFJA617JMJXEW6G7TDDXNSHX
    ErrorIssue:
      type: object
      required:
        - issueLocation
        - issue
      properties:
        issueLocation:
          type: string
          description: Will describe the field or data location of the issue
          example: date_of_birth
        issue:
          type: string
          description: Description of the problem
          example: Invalid format. Must be YYYY-MM-DD
  responses:
    202Accepted:
      description: >
        The request was valid and can potentially be fulfilled. The FrankieOne
        service has now accepted responsibility for processing and we will
        either push the results to you, or send you a notification, depending on
        the request and your configuration.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AcceptedRequest'
    404NotFound:
      description: >
        Cannot return response. In the case of a query, or reference to a
        specific entity/check/others, it means that the requested item was not
        found, or you don't have access to it. Please check your query before
        trying again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ServiceError'
    500InternalServerError:
      description: >
        The system is presently unavailable, running in a severely degraded
        state or an unexpected error occurred. 

        Check the error message for details
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ServiceError'
  securitySchemes:
    apiKey:
      type: apiKey
      name: apiKey
      description: API key issued by FrankieOne. This will rotate regularly.
      in: header

````